# TODO:
# - tex deps (tetex-tex-babel seems to be required, but I'm not sure)
#
# Conditional build:
%bcond_without	system_boost	# build with included boost-1.36
#
Summary:	A WYSIWYM frontend to LaTeX
Summary(pl.UTF-8):	Nakładka WYSIWYM na LaTeXa
Summary(pt_BR.UTF-8):	Editor de Textos para ambiente Desktop
Name:		lyx
Version:	2.2.3
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/Publishing/TeX
Source0:	http://ftp.lyx.org/pub/lyx/stable/2.2.x/%{name}-%{version}.tar.xz
# Source0-md5:	032147bf8e05040787b0fca43fd70de3
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.lyx.org/
BuildRequires:	QtGui-devel
BuildRequires:	aiksaurus-devel
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_system_boost:BuildRequires:	boost-devel >= 1.35.0}
BuildRequires:	gettext-tools
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	tetex
Requires:	gv
Requires:	python-modules
Requires:	tetex-format-latex
Requires:	tetex-latex
Requires:	xdvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		texmfdir	%{_datadir}/texmf

%description
LyX is a modern approach of writing documents with a computer which
breaks with the tradition of the obsolete typewriter concept. It is
designed for people who want a professional output with a minimum of
time effort, without becoming specialists in typesetting. Compared to
common word processors LyX will increase the productivity a lot, since
most of the typesetting will be done by the computer, not the author.
With LyX the author can concentrate on the contents of his writing,
since the computer will take care of the look.

%description -l pl.UTF-8
LyX jest nowoczesnym narzędziem służącym do pisania dokumentów
łamiącym dotychczasową, przestarzałą tradycję maszyny do pisania. LyX
został zaprojektowany dla ludzi, którzy chcą tworzyć profesjonalne
dokumenty przy jak najmniejszym nakładzie czasowym bez konieczności
bycia specjalistą w składzie tekstów. LyX pozwala autorowi skupić się
na zawartości dokumentu podczas gdy komputer zajmie się całą resztą.

%description -l pt_BR.UTF-8
Lyx é uma forma moderna de escrever documentos com um computador sem
que isso quebre os conceitos de uso de uma máquina de escrever
tradicional. Ele é feito para pessoas que necessitam de um resultado
profissional com um mínimo de esforço, sem também ser um especialista
em fontes. Comparado com um editor de textos padrão, LyX é um editor
de textos que irá aumentar a produtividade visto que as fontes serão
selecionadas pelo editor, não pelo digitador.

%prep
%setup -q

%build
cat config/*.m4 > acinclude.m4
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?debug:--enable-debug} \
	--enable-nls \
	%{?with_system_boost:--without-included-boost} \
	--without-included-gettext \
	--with-qt4-dir=%{_libdir}/qt4 \
	--with-frontend=qt4

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{texmfdir}/tex/latex

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_datadir}/lyx/tex $RPM_BUILD_ROOT%{texmfdir}/tex/latex/lyx

%{__sed} -i -e 's,#! /usr/bin/env python,#!/usr/bin/python,' $RPM_BUILD_ROOT%{_datadir}/lyx/configure.py

%{__rm} -r $RPM_BUILD_ROOT/usr/share/locale/pt_PT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/usr/bin/texhash
cd %{_datadir}/lyx
./configure.py > /dev/null || :
if [ -f lyxrc.defaults ]; then
	cp -p lyxrc.defaults lyxrc
fi

%preun
if [ "$1" = "0" ]; then
	%{__rm} -f %{_datadir}/lyx/{lyxrc.defaults,lyxrc*}
	%{__rm} -f %{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}
fi

%postun
umask 022
/usr/bin/texhash

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ANNOUNCE README NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{texmfdir}/tex/latex/lyx
%dir %{_datadir}/lyx
%dir %{_datadir}/lyx/commands
%{_datadir}/lyx/CREDITS
%{_datadir}/lyx/bind
%{_datadir}/lyx/chkconfig.ltx
%{_datadir}/lyx/commands/default.def
%{_datadir}/lyx/doc/clipart
%attr(755,root,root) %{_datadir}/lyx/configure*
%dir %{_datadir}/lyx/doc
%{_datadir}/lyx/doc/[A-Z]*
%{_datadir}/lyx/doc/biblio
%lang(ar) %{_datadir}/lyx/doc/ar
%lang(ca) %{_datadir}/lyx/doc/ca
%lang(cs) %{_datadir}/lyx/doc/cs
%lang(da) %{_datadir}/lyx/doc/da
%lang(de) %{_datadir}/lyx/doc/de
%lang(el) %{_datadir}/lyx/doc/el
%lang(es) %{_datadir}/lyx/doc/es
%lang(eu) %{_datadir}/lyx/doc/eu
%lang(fr) %{_datadir}/lyx/doc/fr
%lang(gl) %{_datadir}/lyx/doc/gl
%lang(he) %{_datadir}/lyx/doc/he
%lang(hu) %{_datadir}/lyx/doc/hu
%lang(id) %{_datadir}/lyx/doc/id
%lang(it) %{_datadir}/lyx/doc/it
%lang(ja) %{_datadir}/lyx/doc/ja
%lang(nb) %{_datadir}/lyx/doc/nb
%lang(nl) %{_datadir}/lyx/doc/nl
%lang(pl) %{_datadir}/lyx/doc/pl
%lang(pt) %{_datadir}/lyx/doc/pt
%lang(ro) %{_datadir}/lyx/doc/ro
%lang(ru) %{_datadir}/lyx/doc/ru
%lang(sk) %{_datadir}/lyx/doc/sk
%lang(sl) %{_datadir}/lyx/doc/sl
%lang(sv) %{_datadir}/lyx/doc/sv
%lang(uk) %{_datadir}/lyx/doc/uk
%lang(zh_CN) %{_datadir}/lyx/doc/zh_CN
%{_datadir}/lyx/autocorrect
%{_datadir}/lyx/encodings
%{_datadir}/lyx/examples
%{_datadir}/lyx/external_templates
%{_datadir}/lyx/fonts/
%{_datadir}/lyx/images
%{_datadir}/lyx/kbd
%{_datadir}/lyx/languages
%{_datadir}/lyx/layouts
%{_datadir}/lyx/layouttranslations
%attr(755,root,root) %{_datadir}/lyx/lyx2lyx
%attr(755,root,root) %{_datadir}/lyx/scripts
%{_datadir}/lyx/symbols
%{_datadir}/lyx/syntax.default
%{_datadir}/lyx/templates
%{_datadir}/lyx/tex
%{_datadir}/lyx/ui
%{_datadir}/lyx/unicodesymbols
%{_mandir}/man*/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/48x48/apps/lyx.png
%{_iconsdir}/hicolor/scalable/apps/lyx.svg
%{_datadir}/lyx/latexfonts
%changelog
* Mon Nov 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lyx.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e0fba7
- up to 2.2.3

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> f9b6b3e
- rebuild with hunspell 1.6
- release 9 (by relup.sh)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> f32c91e
- rebuild with boost 1.63.0
- release 8 (by relup.sh)

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 753d54b
- rebuild with hunspell 1.4.1
- release 7 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> ce02c14
- boost rebuild
- release 6 (by relup.sh)

* Sun Apr 17 2016 Jan Rękorajski <baggins@pld-linux.org> b80475e
- release 5 (by relup.sh)

* Fri Nov 27 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b878c8d
- release 4 (by relup.sh)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> ef93d3b
- fixed install
- rel 3

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> d63e2f0
- remove usupported locale
- rel 2

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> dc7f79b
- updated files

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> 50fbc64
- up to 2.1.4

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 36a286f
- boost rebuild
- release 4 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> f7ec07d
- rebuild with boost 1.57.0
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7684fc0
- updated gettext BR

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> d33f198
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Tue Apr 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c48ea93
- up to 2.0.8

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> a988d21
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> f7a81e5
- release 2 (by relup.sh)

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d4ef6c
- up to 2.0.5.1

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b8e490
- release 3 (by relup.sh)

